<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>DbCryptCallback (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DbCryptCallback (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallbackSpi.html" title="interface in org.firebirdsql.gds.ng.dbcrypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" target="_top">Frames</a></li>
<li><a href="DbCryptCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.dbcrypt</div>
<h2 title="Interface DbCryptCallback" class="title">Interface DbCryptCallback</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/simple/StaticValueDbCryptCallback.html" title="class in org.firebirdsql.gds.ng.dbcrypt.simple">StaticValueDbCryptCallback</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DbCryptCallback</span></pre>
<div class="block">Plugin for Firebird database encryption callback.
 <p>
 Database encryption callbacks are allowed to be stateful (eg if they require multiple callbacks to work). A new
 callback instance is created for each authentication phase of a connection (a connection can have multiple
 authentication phases).
 </p>
 <p>
 NOTE: This plugin is currently only internal to Jaybird, consider the API as unstable.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html#getDbCryptCallbackName--">getDbCryptCallbackName</a></span>()</code>
<div class="block">Name of the database encryption callback.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptData.html" title="class in org.firebirdsql.gds.ng.dbcrypt">DbCryptData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html#handleCallback-org.firebirdsql.gds.ng.dbcrypt.DbCryptData-">handleCallback</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptData.html" title="class in org.firebirdsql.gds.ng.dbcrypt">DbCryptData</a>&nbsp;serverData)</code>
<div class="block">Callback method to be called with the server data.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDbCryptCallbackName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDbCryptCallbackName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDbCryptCallbackName()</pre>
<div class="block">Name of the database encryption callback.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name for identifying this callback within Jaybird.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallbackSpi.html#getDbCryptCallbackName--"><code>DbCryptCallbackSpi.getDbCryptCallbackName()</code></a></dd>
</dl>
</li>
</ul>
<a name="handleCallback-org.firebirdsql.gds.ng.dbcrypt.DbCryptData-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>handleCallback</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptData.html" title="class in org.firebirdsql.gds.ng.dbcrypt">DbCryptData</a>&nbsp;handleCallback(<a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptData.html" title="class in org.firebirdsql.gds.ng.dbcrypt">DbCryptData</a>&nbsp;serverData)</pre>
<div class="block">Callback method to be called with the server data.
 <p>
 The implementation should reply with a response for the provided data. If the plugin cannot provide a response
 (eg because the server data is invalid), use an empty reply (eg use <a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptData.html#EMPTY_DATA"><code>DbCryptData.EMPTY_DATA</code></a>, or construct
 your own). The plugin should <b>not</b> throw an exception.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serverData</code> - Data received from the server (never <code>null</code>).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Reply data (never <code>null</code>, use <a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptData.html#EMPTY_DATA"><code>DbCryptData.EMPTY_DATA</code></a> if there is no (valid) reply).</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallbackSpi.html" title="interface in org.firebirdsql.gds.ng.dbcrypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" target="_top">Frames</a></li>
<li><a href="DbCryptCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
